config.status
上传用户:hongyu5696
上传日期:2018-01-22
资源大小:391k
文件大小:35k
源码类别:

PlugIns编程

开发平台:

Unix_Linux

  1. #! /bin/sh
  2. # Generated by configure.
  3. # Run this file to recreate the current configuration.
  4. # Compiler output produced by configure, useful for debugging
  5. # configure, is in config.log if it exists.
  6. debug=false
  7. ac_cs_recheck=false
  8. ac_cs_silent=false
  9. SHELL=${CONFIG_SHELL-/bin/sh}
  10. ## --------------------- ##
  11. ## M4sh Initialization.  ##
  12. ## --------------------- ##
  13. # Be Bourne compatible
  14. if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
  15.   emulate sh
  16.   NULLCMD=:
  17.   # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
  18.   # is contrary to our usage.  Disable this feature.
  19.   alias -g '${1+"$@"}'='"$@"'
  20. elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
  21.   set -o posix
  22. fi
  23. DUALCASE=1; export DUALCASE # for MKS sh
  24. # Support unset when possible.
  25. if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
  26.   as_unset=unset
  27. else
  28.   as_unset=false
  29. fi
  30. # Work around bugs in pre-3.0 UWIN ksh.
  31. $as_unset ENV MAIL MAILPATH
  32. PS1='$ '
  33. PS2='> '
  34. PS4='+ '
  35. # NLS nuisances.
  36. for as_var in 
  37.   LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION 
  38.   LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER 
  39.   LC_TELEPHONE LC_TIME
  40. do
  41.   if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
  42.     eval $as_var=C; export $as_var
  43.   else
  44.     $as_unset $as_var
  45.   fi
  46. done
  47. # Required to use basename.
  48. if expr a : '(a)' >/dev/null 2>&1; then
  49.   as_expr=expr
  50. else
  51.   as_expr=false
  52. fi
  53. if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
  54.   as_basename=basename
  55. else
  56.   as_basename=false
  57. fi
  58. # Name of the executable.
  59. as_me=`$as_basename "$0" ||
  60. $as_expr X/"$0" : '.*/([^/][^/]*)/*$' | 
  61.  X"$0" : 'X(//)$' | 
  62.  X"$0" : 'X(/)$' | 
  63.  .     : '(.)' 2>/dev/null ||
  64. echo X/"$0" |
  65.     sed '/^.*/([^/][^/]*)/*$/{ s//1/; q; }
  66.      /^X/(//)$/{ s//1/; q; }
  67.      /^X/(/).*/{ s//1/; q; }
  68.      s/.*/./; q'`
  69. # PATH needs CR, and LINENO needs CR and PATH.
  70. # Avoid depending upon Character Ranges.
  71. as_cr_letters='abcdefghijklmnopqrstuvwxyz'
  72. as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
  73. as_cr_Letters=$as_cr_letters$as_cr_LETTERS
  74. as_cr_digits='0123456789'
  75. as_cr_alnum=$as_cr_Letters$as_cr_digits
  76. # The user is always right.
  77. if test "${PATH_SEPARATOR+set}" != set; then
  78.   echo "#! /bin/sh" >conf$$.sh
  79.   echo  "exit 0"   >>conf$$.sh
  80.   chmod +x conf$$.sh
  81.   if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
  82.     PATH_SEPARATOR=';'
  83.   else
  84.     PATH_SEPARATOR=:
  85.   fi
  86.   rm -f conf$$.sh
  87. fi
  88.   as_lineno_1=$LINENO
  89.   as_lineno_2=$LINENO
  90.   as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
  91.   test "x$as_lineno_1" != "x$as_lineno_2" &&
  92.   test "x$as_lineno_3"  = "x$as_lineno_2"  || {
  93.   # Find who we are.  Look in the path if we contain no path at all
  94.   # relative or not.
  95.   case $0 in
  96.     *[\/]* ) as_myself=$0 ;;
  97.     *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
  98. for as_dir in $PATH
  99. do
  100.   IFS=$as_save_IFS
  101.   test -z "$as_dir" && as_dir=.
  102.   test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
  103. done
  104.        ;;
  105.   esac
  106.   # We did not find ourselves, most probably we were run as `sh COMMAND'
  107.   # in which case we are not to be found in the path.
  108.   if test "x$as_myself" = x; then
  109.     as_myself=$0
  110.   fi
  111.   if test ! -f "$as_myself"; then
  112.     { { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute path" >&5
  113. echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
  114.    { (exit 1); exit 1; }; }
  115.   fi
  116.   case $CONFIG_SHELL in
  117.   '')
  118.     as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
  119. for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
  120. do
  121.   IFS=$as_save_IFS
  122.   test -z "$as_dir" && as_dir=.
  123.   for as_base in sh bash ksh sh5; do
  124.  case $as_dir in
  125.  /*)
  126.    if ("$as_dir/$as_base" -c '
  127.   as_lineno_1=$LINENO
  128.   as_lineno_2=$LINENO
  129.   as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
  130.   test "x$as_lineno_1" != "x$as_lineno_2" &&
  131.   test "x$as_lineno_3"  = "x$as_lineno_2" ') 2>/dev/null; then
  132.      $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
  133.      $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
  134.      CONFIG_SHELL=$as_dir/$as_base
  135.      export CONFIG_SHELL
  136.      exec "$CONFIG_SHELL" "$0" ${1+"$@"}
  137.    fi;;
  138.  esac
  139.        done
  140. done
  141. ;;
  142.   esac
  143.   # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
  144.   # uniformly replaced by the line number.  The first 'sed' inserts a
  145.   # line-number line before each line; the second 'sed' does the real
  146.   # work.  The second script uses 'N' to pair each line-number line
  147.   # with the numbered line, and appends trailing '-' during
  148.   # substitution so that $LINENO is not a special case at line end.
  149.   # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
  150.   # second 'sed' script.  Blame Lee E. McMahon for sed's syntax.  :-)
  151.   sed '=' <$as_myself |
  152.     sed '
  153.       N
  154.       s,$,-,
  155.       : loop
  156.       s,^(['$as_cr_digits']*)(.*)[$]LINENO([^'$as_cr_alnum'_]),1213,
  157.       t loop
  158.       s,-$,,
  159.       s,^['$as_cr_digits']*n,,
  160.     ' >$as_me.lineno &&
  161.   chmod +x $as_me.lineno ||
  162.     { { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&5
  163. echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2;}
  164.    { (exit 1); exit 1; }; }
  165.   # Don't try to exec as it changes $[0], causing all sort of problems
  166.   # (the dirname of $[0] is not the place where we might find the
  167.   # original and so on.  Autoconf is especially sensible to this).
  168.   . ./$as_me.lineno
  169.   # Exit status is that of the last command.
  170.   exit
  171. }
  172. case `echo "testingc"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
  173.   *c*,-n*) ECHO_N= ECHO_C='
  174. ' ECHO_T=' ' ;;
  175.   *c*,*  ) ECHO_N=-n ECHO_C= ECHO_T= ;;
  176.   *)       ECHO_N= ECHO_C='c' ECHO_T= ;;
  177. esac
  178. if expr a : '(a)' >/dev/null 2>&1; then
  179.   as_expr=expr
  180. else
  181.   as_expr=false
  182. fi
  183. rm -f conf$$ conf$$.exe conf$$.file
  184. echo >conf$$.file
  185. if ln -s conf$$.file conf$$ 2>/dev/null; then
  186.   # We could just check for DJGPP; but this test a) works b) is more generic
  187.   # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
  188.   if test -f conf$$.exe; then
  189.     # Don't use ln at all; we don't have any links
  190.     as_ln_s='cp -p'
  191.   else
  192.     as_ln_s='ln -s'
  193.   fi
  194. elif ln conf$$.file conf$$ 2>/dev/null; then
  195.   as_ln_s=ln
  196. else
  197.   as_ln_s='cp -p'
  198. fi
  199. rm -f conf$$ conf$$.exe conf$$.file
  200. if mkdir -p . 2>/dev/null; then
  201.   as_mkdir_p=:
  202. else
  203.   test -d ./-p && rmdir ./-p
  204.   as_mkdir_p=false
  205. fi
  206. as_executable_p="test -f"
  207. # Sed expression to map a string onto a valid CPP name.
  208. as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
  209. # Sed expression to map a string onto a valid variable name.
  210. as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
  211. # IFS
  212. # We need space, tab and new line, in precisely that order.
  213. as_nl='
  214. '
  215. IFS="  $as_nl"
  216. # CDPATH.
  217. $as_unset CDPATH
  218. exec 6>&1
  219. # Open the log real soon, to keep $[0] and so on meaningful, and to
  220. # report actual input values of CONFIG_FILES etc. instead of their
  221. # values after options handling.  Logging --version etc. is OK.
  222. exec 5>>config.log
  223. {
  224.   echo
  225.   sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
  226. ## Running $as_me. ##
  227. _ASBOX
  228. } >&5
  229. cat >&5 <<_CSEOF
  230. This file was extended by downloadplug $as_me 1.00, which was
  231. generated by GNU Autoconf 2.59.  Invocation command line was
  232.   CONFIG_FILES    = $CONFIG_FILES
  233.   CONFIG_HEADERS  = $CONFIG_HEADERS
  234.   CONFIG_LINKS    = $CONFIG_LINKS
  235.   CONFIG_COMMANDS = $CONFIG_COMMANDS
  236.   $ $0 $@
  237. _CSEOF
  238. echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
  239. echo >&5
  240. config_files=" Makefile po/Makefile install.sh uninstall.sh"
  241. config_headers=" config.h"
  242. ac_cs_usage="
  243. `$as_me' instantiates files from templates according to the
  244. current configuration.
  245. Usage: $0 [OPTIONS] [FILE]...
  246.   -h, --help       print this help, then exit
  247.   -V, --version    print version number, then exit
  248.   -q, --quiet      do not print progress messages
  249.   -d, --debug      don't remove temporary files
  250.       --recheck    update $as_me by reconfiguring in the same conditions
  251.   --file=FILE[:TEMPLATE]
  252.    instantiate the configuration file FILE
  253.   --header=FILE[:TEMPLATE]
  254.    instantiate the configuration header FILE
  255. Configuration files:
  256. $config_files
  257. Configuration headers:
  258. $config_headers
  259. Report bugs to <bug-autoconf@gnu.org>."
  260. ac_cs_version="
  261. downloadplug config.status 1.00
  262. configured by ./configure, generated by GNU Autoconf 2.59,
  263.   with options ""
  264. Copyright (C) 2003 Free Software Foundation, Inc.
  265. This config.status script is free software; the Free Software Foundation
  266. gives unlimited permission to copy, distribute and modify it."
  267. srcdir=.
  268. INSTALL="/usr/bin/install -c"
  269. # If no file are specified by the user, then we need to provide default
  270. # value.  By we need to know if files were specified by the user.
  271. ac_need_defaults=:
  272. while test $# != 0
  273. do
  274.   case $1 in
  275.   --*=*)
  276.     ac_option=`expr "x$1" : 'x([^=]*)='`
  277.     ac_optarg=`expr "x$1" : 'x[^=]*=(.*)'`
  278.     ac_shift=:
  279.     ;;
  280.   -*)
  281.     ac_option=$1
  282.     ac_optarg=$2
  283.     ac_shift=shift
  284.     ;;
  285.   *) # This is not an option, so the user has probably given explicit
  286.      # arguments.
  287.      ac_option=$1
  288.      ac_need_defaults=false;;
  289.   esac
  290.   case $ac_option in
  291.   # Handling of the options.
  292.   -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
  293.     ac_cs_recheck=: ;;
  294.   --version | --vers* | -V )
  295.     echo "$ac_cs_version"; exit 0 ;;
  296.   --he | --h)
  297.     # Conflict between --help and --header
  298.     { { echo "$as_me:$LINENO: error: ambiguous option: $1
  299. Try `$0 --help' for more information." >&5
  300. echo "$as_me: error: ambiguous option: $1
  301. Try `$0 --help' for more information." >&2;}
  302.    { (exit 1); exit 1; }; };;
  303.   --help | --hel | -h )
  304.     echo "$ac_cs_usage"; exit 0 ;;
  305.   --debug | --d* | -d )
  306.     debug=: ;;
  307.   --file | --fil | --fi | --f )
  308.     $ac_shift
  309.     CONFIG_FILES="$CONFIG_FILES $ac_optarg"
  310.     ac_need_defaults=false;;
  311.   --header | --heade | --head | --hea )
  312.     $ac_shift
  313.     CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
  314.     ac_need_defaults=false;;
  315.   -q | -quiet | --quiet | --quie | --qui | --qu | --q 
  316.   | -silent | --silent | --silen | --sile | --sil | --si | --s)
  317.     ac_cs_silent=: ;;
  318.   # This is an error.
  319.   -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
  320. Try `$0 --help' for more information." >&5
  321. echo "$as_me: error: unrecognized option: $1
  322. Try `$0 --help' for more information." >&2;}
  323.    { (exit 1); exit 1; }; } ;;
  324.   *) ac_config_targets="$ac_config_targets $1" ;;
  325.   esac
  326.   shift
  327. done
  328. ac_configure_extra_args=
  329. if $ac_cs_silent; then
  330.   exec 6>/dev/null
  331.   ac_configure_extra_args="$ac_configure_extra_args --silent"
  332. fi
  333. if $ac_cs_recheck; then
  334.   echo "running /bin/sh ./configure "  $ac_configure_extra_args " --no-create --no-recursion" >&6
  335.   exec /bin/sh ./configure  $ac_configure_extra_args --no-create --no-recursion
  336. fi
  337. for ac_config_target in $ac_config_targets
  338. do
  339.   case "$ac_config_target" in
  340.   # Handling of arguments.
  341.   "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
  342.   "po/Makefile" ) CONFIG_FILES="$CONFIG_FILES po/Makefile" ;;
  343.   "install.sh" ) CONFIG_FILES="$CONFIG_FILES install.sh" ;;
  344.   "uninstall.sh" ) CONFIG_FILES="$CONFIG_FILES uninstall.sh" ;;
  345.   "config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
  346.   *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
  347. echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
  348.    { (exit 1); exit 1; }; };;
  349.   esac
  350. done
  351. # If the user did not use the arguments to specify the items to instantiate,
  352. # then the envvar interface is used.  Set only those that are not.
  353. # We use the long form for the default assignment because of an extremely
  354. # bizarre bug on SunOS 4.1.3.
  355. if $ac_need_defaults; then
  356.   test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
  357.   test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
  358. fi
  359. # Have a temporary directory for convenience.  Make it in the build tree
  360. # simply because there is no reason to put it here, and in addition,
  361. # creating and moving files from /tmp can sometimes cause problems.
  362. # Create a temporary directory, and hook for its removal unless debugging.
  363. $debug ||
  364. {
  365.   trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
  366.   trap '{ (exit 1); exit 1; }' 1 2 13 15
  367. }
  368. # Create a (secure) tmp directory for tmp files.
  369. {
  370.   tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` &&
  371.   test -n "$tmp" && test -d "$tmp"
  372. }  ||
  373. {
  374.   tmp=./confstat$$-$RANDOM
  375.   (umask 077 && mkdir $tmp)
  376. } ||
  377. {
  378.    echo "$me: cannot create a temporary directory in ." >&2
  379.    { (exit 1); exit 1; }
  380. }
  381. #
  382. # CONFIG_FILES section.
  383. #
  384. # No need to generate the scripts if there are no CONFIG_FILES.
  385. # This happens for instance when ./config.status config.h
  386. if test -n "$CONFIG_FILES"; then
  387.   # Protect against being on the right side of a sed subst in config.status.
  388.   sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\&,]/\&/g;
  389.    s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<CEOF
  390. s,@SHELL@,/bin/sh,;t t
  391. s,@PATH_SEPARATOR@,:,;t t
  392. s,@PACKAGE_NAME@,downloadplug,;t t
  393. s,@PACKAGE_TARNAME@,downloadplug,;t t
  394. s,@PACKAGE_VERSION@,1.00,;t t
  395. s,@PACKAGE_STRING@,downloadpl 1.00,;t t
  396. s,@PACKAGE_BUGREPORT@,downloadplug-in-devel@lists.sourceforge.net,;t t
  397. s,@exec_prefix@,${prefix},;t t
  398. s,@prefix@,/usr/local,;t t
  399. s,@program_transform_name@,s,x,x,,;t t
  400. s,@bindir@,${exec_prefix}/bin,;t t
  401. s,@sbindir@,${exec_prefix}/sbin,;t t
  402. s,@libexecdir@,${exec_prefix}/libexec,;t t
  403. s,@datadir@,${prefix}/share,;t t
  404. s,@sysconfdir@,${prefix}/etc,;t t
  405. s,@sharedstatedir@,${prefix}/com,;t t
  406. s,@localstatedir@,${prefix}/var,;t t
  407. s,@libdir@,${exec_prefix}/lib,;t t
  408. s,@includedir@,${prefix}/include,;t t
  409. s,@oldincludedir@,/usr/include,;t t
  410. s,@infodir@,${prefix}/info,;t t
  411. s,@mandir@,${prefix}/man,;t t
  412. s,@build_alias@,,;t t
  413. s,@host_alias@,,;t t
  414. s,@target_alias@,,;t t
  415. s,@DEFS@,-DHAVE_CONFIG_H,;t t
  416. s,@ECHO_C@,,;t t
  417. s,@ECHO_N@,-n,;t t
  418. s,@ECHO_T@,,;t t
  419. s,@LIBS@, -L/usr/X11R6/lib  -lX11 ,;t t
  420. s,@CXX@,g++,;t t
  421. s,@CXXFLAGS@,-g -O2,;t t
  422. s,@LDFLAGS@, ,;t t
  423. s,@CPPFLAGS@,,;t t
  424. s,@ac_ct_CXX@,g++,;t t
  425. s,@EXEEXT@,,;t t
  426. s,@OBJEXT@,o,;t t
  427. s,@CC@,gcc,;t t
  428. s,@CFLAGS@,-g -O2  -I/usr/X11R6/include,;t t
  429. s,@ac_ct_CC@,gcc,;t t
  430. s,@INSTALL_PROGRAM@,${INSTALL},;t t
  431. s,@INSTALL_SCRIPT@,${INSTALL},;t t
  432. s,@INSTALL_DATA@,${INSTALL} -m 644,;t t
  433. s,@AWK@,gawk,;t t
  434. s,@SET_MAKE@,,;t t
  435. s,@GECKO_SDK_PREFIX@,,;t t
  436. s,@GECKO_DEFINES@,,;t t
  437. s,@PKG_CONFIG@,/usr/bin/pkg-config,;t t
  438. s,@ac_pt_PKG_CONFIG@,/usr/bin/pkg-config,;t t
  439. s,@MOZPLUG_CFLAGS@,-I/usr/include/mozilla-1.7.8/java -I/usr/include/mozilla-1.7.8/plugin -I/usr/include/mozilla-1.7.8 -I/usr/include/mozilla-1.7.8/xpcom -I/usr/include/mozilla-1.7.8/string -I/usr/include/mozilla-1.7.8/nspr   -I/usr/include/mozilla-1.7.8,;t t
  440. s,@MOZPLUG_LIBS@,-L/usr/lib/mozilla-1.7.8 -lxpcom -lplds4 -lplc4 -lnspr4 -lpthread -ldl  ,;t t
  441. s,@MOZILLA_HOME@,,;t t
  442. s,@GTK_CFLAGS@,-DXTHREADS -D_REENTRANT -DXUSE_MTSAFE_API -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/X11R6/include -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/include/freetype2/config -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -DXTHREADS -D_REENTRANT -DXUSE_MTSAFE_API -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/X11R6/include -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/include/freetype2/config -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  ,;t t
  443. s,@GTK_LIBS@,-lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangoxft-1.0 -lpangox-1.0 -lpango-1.0 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0   -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangoxft-1.0 -lpangox-1.0 -lpango-1.0 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  ,;t t
  444. s,@GTK24_CFLAGS@,-DXTHREADS -D_REENTRANT -DXUSE_MTSAFE_API -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/X11R6/include -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/include/freetype2/config -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  ,;t t
  445. s,@GTK24_LIBS@,-lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangoxft-1.0 -lpangox-1.0 -lpango-1.0 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  ,;t t
  446. s,@GTHREAD_CFLAGS@,-pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  ,;t t
  447. s,@GTHREAD_LIBS@,-pthread -lgthread-2.0 -lglib-2.0  ,;t t
  448. s,@CREATE@,downloadplug-in,;t t
  449. s,@CXXFLAGS64@,,;t t
  450. s,@LDFLAGS64@,,;t t
  451. s,@GTK_DEFINES@,-DGTK_ENABLED ,;t t
  452. s,@CPP@,gcc -E,;t t
  453. s,@X_CFLAGS@, -I/usr/X11R6/include,;t t
  454. s,@X_PRE_LIBS@, -lSM -lICE,;t t
  455. s,@X_LIBS@, -L/usr/X11R6/lib,;t t
  456. s,@X_EXTRA_LIBS@,,;t t
  457. s,@EGREP@,grep -E,;t t
  458. s,@LIBOBJS@,,;t t
  459. s,@LOCALEDIR@,/share/locale,;t t
  460. s,@SUBDIR@,languages,;t t
  461. s,@INSTALL_SUBDIR@,install-languages,;t t
  462. s,@XPM_LIBS@,-lXpm -lXt,;t t
  463. s,@XEXT_LIBS@,-lXext -lX11,;t t
  464. s,@LTLIBOBJS@,,;t t
  465. CEOF
  466.   # Split the substitutions into bite-sized pieces for seds with
  467.   # small command number limits, like on Digital OSF/1 and HP-UX.
  468.   ac_max_sed_lines=48
  469.   ac_sed_frag=1 # Number of current file.
  470.   ac_beg=1 # First line for current file.
  471.   ac_end=$ac_max_sed_lines # Line after last line for current file.
  472.   ac_more_lines=:
  473.   ac_sed_cmds=
  474.   while $ac_more_lines; do
  475.     if test $ac_beg -gt 1; then
  476.       sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
  477.     else
  478.       sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
  479.     fi
  480.     if test ! -s $tmp/subs.frag; then
  481.       ac_more_lines=false
  482.     else
  483.       # The purpose of the label and of the branching condition is to
  484.       # speed up the sed processing (if there are no `@' at all, there
  485.       # is no need to browse any of the substitutions).
  486.       # These are the two extra sed commands mentioned above.
  487.       (echo ':t
  488.   /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
  489.       if test -z "$ac_sed_cmds"; then
  490. ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
  491.       else
  492. ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
  493.       fi
  494.       ac_sed_frag=`expr $ac_sed_frag + 1`
  495.       ac_beg=$ac_end
  496.       ac_end=`expr $ac_end + $ac_max_sed_lines`
  497.     fi
  498.   done
  499.   if test -z "$ac_sed_cmds"; then
  500.     ac_sed_cmds=cat
  501.   fi
  502. fi # test -n "$CONFIG_FILES"
  503. for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
  504.   # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
  505.   case $ac_file in
  506.   - | *:- | *:-:* ) # input from stdin
  507. cat >$tmp/stdin
  508. ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
  509. ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
  510.   *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
  511. ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
  512.   * )   ac_file_in=$ac_file.in ;;
  513.   esac
  514.   # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
  515.   ac_dir=`(dirname "$ac_file") 2>/dev/null ||
  516. $as_expr X"$ac_file" : 'X(.*[^/])//*[^/][^/]*/*$' | 
  517.  X"$ac_file" : 'X(//)[^/]' | 
  518.  X"$ac_file" : 'X(//)$' | 
  519.  X"$ac_file" : 'X(/)' | 
  520.  .     : '(.)' 2>/dev/null ||
  521. echo X"$ac_file" |
  522.     sed '/^X(.*[^/])//*[^/][^/]*/*$/{ s//1/; q; }
  523.      /^X(//)[^/].*/{ s//1/; q; }
  524.      /^X(//)$/{ s//1/; q; }
  525.      /^X(/).*/{ s//1/; q; }
  526.      s/.*/./; q'`
  527.   { if $as_mkdir_p; then
  528.     mkdir -p "$ac_dir"
  529.   else
  530.     as_dir="$ac_dir"
  531.     as_dirs=
  532.     while test ! -d "$as_dir"; do
  533.       as_dirs="$as_dir $as_dirs"
  534.       as_dir=`(dirname "$as_dir") 2>/dev/null ||
  535. $as_expr X"$as_dir" : 'X(.*[^/])//*[^/][^/]*/*$' | 
  536.  X"$as_dir" : 'X(//)[^/]' | 
  537.  X"$as_dir" : 'X(//)$' | 
  538.  X"$as_dir" : 'X(/)' | 
  539.  .     : '(.)' 2>/dev/null ||
  540. echo X"$as_dir" |
  541.     sed '/^X(.*[^/])//*[^/][^/]*/*$/{ s//1/; q; }
  542.      /^X(//)[^/].*/{ s//1/; q; }
  543.      /^X(//)$/{ s//1/; q; }
  544.      /^X(/).*/{ s//1/; q; }
  545.      s/.*/./; q'`
  546.     done
  547.     test ! -n "$as_dirs" || mkdir $as_dirs
  548.   fi || { { echo "$as_me:$LINENO: error: cannot create directory "$ac_dir"" >&5
  549. echo "$as_me: error: cannot create directory "$ac_dir"" >&2;}
  550.    { (exit 1); exit 1; }; }; }
  551.   ac_builddir=.
  552. if test "$ac_dir" != .; then
  553.   ac_dir_suffix=/`echo "$ac_dir" | sed 's,^.[\/],,'`
  554.   # A "../" for each directory in $ac_dir_suffix.
  555.   ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\/]*,../,g'`
  556. else
  557.   ac_dir_suffix= ac_top_builddir=
  558. fi
  559. case $srcdir in
  560.   .)  # No --srcdir option.  We are building in place.
  561.     ac_srcdir=.
  562.     if test -z "$ac_top_builddir"; then
  563.        ac_top_srcdir=.
  564.     else
  565.        ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
  566.     fi ;;
  567.   [\/]* | ?:[\/]* )  # Absolute path.
  568.     ac_srcdir=$srcdir$ac_dir_suffix;
  569.     ac_top_srcdir=$srcdir ;;
  570.   *) # Relative path.
  571.     ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
  572.     ac_top_srcdir=$ac_top_builddir$srcdir ;;
  573. esac
  574. # Do not use `cd foo && pwd` to compute absolute paths, because
  575. # the directories may not exist.
  576. case `pwd` in
  577. .) ac_abs_builddir="$ac_dir";;
  578. *)
  579.   case "$ac_dir" in
  580.   .) ac_abs_builddir=`pwd`;;
  581.   [\/]* | ?:[\/]* ) ac_abs_builddir="$ac_dir";;
  582.   *) ac_abs_builddir=`pwd`/"$ac_dir";;
  583.   esac;;
  584. esac
  585. case $ac_abs_builddir in
  586. .) ac_abs_top_builddir=${ac_top_builddir}.;;
  587. *)
  588.   case ${ac_top_builddir}. in
  589.   .) ac_abs_top_builddir=$ac_abs_builddir;;
  590.   [\/]* | ?:[\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
  591.   *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
  592.   esac;;
  593. esac
  594. case $ac_abs_builddir in
  595. .) ac_abs_srcdir=$ac_srcdir;;
  596. *)
  597.   case $ac_srcdir in
  598.   .) ac_abs_srcdir=$ac_abs_builddir;;
  599.   [\/]* | ?:[\/]* ) ac_abs_srcdir=$ac_srcdir;;
  600.   *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
  601.   esac;;
  602. esac
  603. case $ac_abs_builddir in
  604. .) ac_abs_top_srcdir=$ac_top_srcdir;;
  605. *)
  606.   case $ac_top_srcdir in
  607.   .) ac_abs_top_srcdir=$ac_abs_builddir;;
  608.   [\/]* | ?:[\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
  609.   *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
  610.   esac;;
  611. esac
  612.   case $INSTALL in
  613.   [\/$]* | ?:[\/]* ) ac_INSTALL=$INSTALL ;;
  614.   *) ac_INSTALL=$ac_top_builddir$INSTALL ;;
  615.   esac
  616.   if test x"$ac_file" != x-; then
  617.     { echo "$as_me:$LINENO: creating $ac_file" >&5
  618. echo "$as_me: creating $ac_file" >&6;}
  619.     rm -f "$ac_file"
  620.   fi
  621.   # Let's still pretend it is `configure' which instantiates (i.e., don't
  622.   # use $as_me), people would be surprised to read:
  623.   #    /* config.h.  Generated by config.status.  */
  624.   if test x"$ac_file" = x-; then
  625.     configure_input=
  626.   else
  627.     configure_input="$ac_file.  "
  628.   fi
  629.   configure_input=$configure_input"Generated from `echo $ac_file_in |
  630.      sed 's,.*/,,'` by configure."
  631.   # First look for the input files in the build tree, otherwise in the
  632.   # src tree.
  633.   ac_file_inputs=`IFS=:
  634.     for f in $ac_file_in; do
  635.       case $f in
  636.       -) echo $tmp/stdin ;;
  637.       [\/$]*)
  638.  # Absolute (can't be DOS-style, as IFS=:)
  639.  test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
  640. echo "$as_me: error: cannot find input file: $f" >&2;}
  641.    { (exit 1); exit 1; }; }
  642.  echo "$f";;
  643.       *) # Relative
  644.  if test -f "$f"; then
  645.    # Build tree
  646.    echo "$f"
  647.  elif test -f "$srcdir/$f"; then
  648.    # Source tree
  649.    echo "$srcdir/$f"
  650.  else
  651.    # /dev/null tree
  652.    { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
  653. echo "$as_me: error: cannot find input file: $f" >&2;}
  654.    { (exit 1); exit 1; }; }
  655.  fi;;
  656.       esac
  657.     done` || { (exit 1); exit 1; }
  658.   sed "/^[  ]*VPATH[  ]*=/{
  659. s/:*$(srcdir):*/:/;
  660. s/:*${srcdir}:*/:/;
  661. s/:*@srcdir@:*/:/;
  662. s/^([^=]*=[  ]*):*/1/;
  663. s/:*$//;
  664. s/^[^=]*=[  ]*$//;
  665. }
  666. :t
  667. /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
  668. s,@configure_input@,$configure_input,;t t
  669. s,@srcdir@,$ac_srcdir,;t t
  670. s,@abs_srcdir@,$ac_abs_srcdir,;t t
  671. s,@top_srcdir@,$ac_top_srcdir,;t t
  672. s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
  673. s,@builddir@,$ac_builddir,;t t
  674. s,@abs_builddir@,$ac_abs_builddir,;t t
  675. s,@top_builddir@,$ac_top_builddir,;t t
  676. s,@abs_top_builddir@,$ac_abs_top_builddir,;t t
  677. s,@INSTALL@,$ac_INSTALL,;t t
  678. " $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
  679.   rm -f $tmp/stdin
  680.   if test x"$ac_file" != x-; then
  681.     mv $tmp/out $ac_file
  682.   else
  683.     cat $tmp/out
  684.     rm -f $tmp/out
  685.   fi
  686. done
  687. #
  688. # CONFIG_HEADER section.
  689. #
  690. # These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
  691. # NAME is the cpp macro being defined and VALUE is the value it is being given.
  692. #
  693. # ac_d sets the value in "#define NAME VALUE" lines.
  694. ac_dA='s,^([  ]*)#([  ]*define[  ][  ]*)'
  695. ac_dB='[  ].*$,1#2'
  696. ac_dC=' '
  697. ac_dD=',;t'
  698. # ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
  699. ac_uA='s,^([  ]*)#([  ]*)undef([  ][  ]*)'
  700. ac_uB='$,1#2define3'
  701. ac_uC=' '
  702. ac_uD=',;t'
  703. for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
  704.   # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
  705.   case $ac_file in
  706.   - | *:- | *:-:* ) # input from stdin
  707. cat >$tmp/stdin
  708. ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
  709. ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
  710.   *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
  711. ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
  712.   * )   ac_file_in=$ac_file.in ;;
  713.   esac
  714.   test x"$ac_file" != x- && { echo "$as_me:$LINENO: creating $ac_file" >&5
  715. echo "$as_me: creating $ac_file" >&6;}
  716.   # First look for the input files in the build tree, otherwise in the
  717.   # src tree.
  718.   ac_file_inputs=`IFS=:
  719.     for f in $ac_file_in; do
  720.       case $f in
  721.       -) echo $tmp/stdin ;;
  722.       [\/$]*)
  723.  # Absolute (can't be DOS-style, as IFS=:)
  724.  test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
  725. echo "$as_me: error: cannot find input file: $f" >&2;}
  726.    { (exit 1); exit 1; }; }
  727.  # Do quote $f, to prevent DOS paths from being IFS'd.
  728.  echo "$f";;
  729.       *) # Relative
  730.  if test -f "$f"; then
  731.    # Build tree
  732.    echo "$f"
  733.  elif test -f "$srcdir/$f"; then
  734.    # Source tree
  735.    echo "$srcdir/$f"
  736.  else
  737.    # /dev/null tree
  738.    { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
  739. echo "$as_me: error: cannot find input file: $f" >&2;}
  740.    { (exit 1); exit 1; }; }
  741.  fi;;
  742.       esac
  743.     done` || { (exit 1); exit 1; }
  744.   # Remove the trailing spaces.
  745.   sed 's/[  ]*$//' $ac_file_inputs >$tmp/in
  746.   # Handle all the #define templates only if necessary.
  747.   if grep "^[  ]*#[  ]*define" $tmp/in >/dev/null; then
  748.   # If there are no defines, we may have an empty if/fi
  749.   :
  750.   cat >$tmp/defines.sed <<CEOF
  751. /^[  ]*#[  ]*define/!b
  752. t clr
  753. : clr
  754. ${ac_dA}PACKAGE_NAME${ac_dB}PACKAGE_NAME${ac_dC}"downloadplug"${ac_dD}
  755. ${ac_dA}PACKAGE_TARNAME${ac_dB}PACKAGE_TARNAME${ac_dC}"downloadplug"${ac_dD}
  756. ${ac_dA}PACKAGE_VERSION${ac_dB}PACKAGE_VERSION${ac_dC}"1.00"${ac_dD}
  757. ${ac_dA}PACKAGE_STRING${ac_dB}PACKAGE_STRING${ac_dC}"downloadpl 1.00"${ac_dD}
  758. ${ac_dA}PACKAGE_BUGREPORT${ac_dB}PACKAGE_BUGREPORT${ac_dC}"downloadplug-in-devel@lists.sourceforge.net"${ac_dD}
  759. ${ac_dA}GTK2_ENABLED${ac_dB}GTK2_ENABLED${ac_dC}1${ac_dD}
  760. ${ac_dA}GTK24_ENABLED${ac_dB}GTK24_ENABLED${ac_dC}1${ac_dD}
  761. ${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
  762. ${ac_dA}HAVE_SYS_TYPES_H${ac_dB}HAVE_SYS_TYPES_H${ac_dC}1${ac_dD}
  763. ${ac_dA}HAVE_SYS_STAT_H${ac_dB}HAVE_SYS_STAT_H${ac_dC}1${ac_dD}
  764. ${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
  765. ${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
  766. ${ac_dA}HAVE_MEMORY_H${ac_dB}HAVE_MEMORY_H${ac_dC}1${ac_dD}
  767. ${ac_dA}HAVE_STRINGS_H${ac_dB}HAVE_STRINGS_H${ac_dC}1${ac_dD}
  768. ${ac_dA}HAVE_INTTYPES_H${ac_dB}HAVE_INTTYPES_H${ac_dC}1${ac_dD}
  769. ${ac_dA}HAVE_STDINT_H${ac_dB}HAVE_STDINT_H${ac_dC}1${ac_dD}
  770. ${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
  771. ${ac_dA}HAVE_STDDEF_H${ac_dB}HAVE_STDDEF_H${ac_dC}1${ac_dD}
  772. ${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
  773. ${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
  774. ${ac_dA}HAVE_X11_XLIB_H${ac_dB}HAVE_X11_XLIB_H${ac_dC}1${ac_dD}
  775. ${ac_dA}HAVE_X11_INTRINSIC_H${ac_dB}HAVE_X11_INTRINSIC_H${ac_dC}1${ac_dD}
  776. ${ac_dA}HAVE_X11_STRINGDEFS_H${ac_dB}HAVE_X11_STRINGDEFS_H${ac_dC}1${ac_dD}
  777. ${ac_dA}HAVE_SYS_STAT_H${ac_dB}HAVE_SYS_STAT_H${ac_dC}1${ac_dD}
  778. ${ac_dA}HAVE_FCNTL_H${ac_dB}HAVE_FCNTL_H${ac_dC}1${ac_dD}
  779. ${ac_dA}TIME_WITH_SYS_TIME${ac_dB}TIME_WITH_SYS_TIME${ac_dC}1${ac_dD}
  780. ${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
  781. ${ac_dA}HAVE_MALLOC${ac_dB}HAVE_MALLOC${ac_dC}1${ac_dD}
  782. ${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
  783. ${ac_dA}HAVE_FORK${ac_dB}HAVE_FORK${ac_dC}1${ac_dD}
  784. ${ac_dA}HAVE_VFORK${ac_dB}HAVE_VFORK${ac_dC}1${ac_dD}
  785. ${ac_dA}HAVE_WORKING_VFORK${ac_dB}HAVE_WORKING_VFORK${ac_dC}1${ac_dD}
  786. ${ac_dA}HAVE_WORKING_FORK${ac_dB}HAVE_WORKING_FORK${ac_dC}1${ac_dD}
  787. ${ac_dA}HAVE_MEMSET${ac_dB}HAVE_MEMSET${ac_dC}1${ac_dD}
  788. ${ac_dA}HAVE_STRCASECMP${ac_dB}HAVE_STRCASECMP${ac_dC}1${ac_dD}
  789. ${ac_dA}HAVE_STRCHR${ac_dB}HAVE_STRCHR${ac_dC}1${ac_dD}
  790. ${ac_dA}HAVE_STRDUP${ac_dB}HAVE_STRDUP${ac_dC}1${ac_dD}
  791. ${ac_dA}HAVE_STRNCASECMP${ac_dB}HAVE_STRNCASECMP${ac_dC}1${ac_dD}
  792. CEOF
  793.   sed -f $tmp/defines.sed $tmp/in >$tmp/out
  794.   rm -f $tmp/in
  795.   mv $tmp/out $tmp/in
  796.   cat >$tmp/defines.sed <<CEOF
  797. /^[  ]*#[  ]*define/!b
  798. t clr
  799. : clr
  800. ${ac_dA}HAVE_STRSTR${ac_dB}HAVE_STRSTR${ac_dC}1${ac_dD}
  801. ${ac_dA}HAVE_STRRCHR${ac_dB}HAVE_STRRCHR${ac_dC}1${ac_dD}
  802. ${ac_dA}HAVE_SNPRINTF${ac_dB}HAVE_SNPRINTF${ac_dC}1${ac_dD}
  803. ${ac_dA}HAVE_MKFIFO${ac_dB}HAVE_MKFIFO${ac_dC}1${ac_dD}
  804. ${ac_dA}HAVE_DUP2${ac_dB}HAVE_DUP2${ac_dC}1${ac_dD}
  805. ${ac_dA}HAVE_GETTIMEOFDAY${ac_dB}HAVE_GETTIMEOFDAY${ac_dC}1${ac_dD}
  806. ${ac_dA}HAVE_STRERROR${ac_dB}HAVE_STRERROR${ac_dC}1${ac_dD}
  807. ${ac_dA}HAVE_STRTOL${ac_dB}HAVE_STRTOL${ac_dC}1${ac_dD}
  808. ${ac_dA}HAVE_MKDIR${ac_dB}HAVE_MKDIR${ac_dC}1${ac_dD}
  809. ${ac_dA}HAVE_SETLOCALE${ac_dB}HAVE_SETLOCALE${ac_dC}1${ac_dD}
  810. ${ac_dA}HAVE_MEMMEM${ac_dB}HAVE_MEMMEM${ac_dC}1${ac_dD}
  811. ${ac_dA}HAVE_LIBINTL_H${ac_dB}HAVE_LIBINTL_H${ac_dC}1${ac_dD}
  812. ${ac_dA}HAVE_GETTEXT${ac_dB}HAVE_GETTEXT${ac_dC}1${ac_dD}
  813. ${ac_dA}HAVE_SYS_TIME_H${ac_dB}HAVE_SYS_TIME_H${ac_dC}1${ac_dD}
  814. ${ac_dA}HAVE_SYS_PARAM_H${ac_dB}HAVE_SYS_PARAM_H${ac_dC}1${ac_dD}
  815. ${ac_dA}HAVE_LOCALE_H${ac_dB}HAVE_LOCALE_H${ac_dC}1${ac_dD}
  816. ${ac_dA}HAVE__BOOL${ac_dB}HAVE__BOOL${ac_dC}1${ac_dD}
  817. ${ac_dA}HAVE_STDBOOL_H${ac_dB}HAVE_STDBOOL_H${ac_dC}1${ac_dD}
  818. ${ac_dA}HAVE_SYS_WAIT_H${ac_dB}HAVE_SYS_WAIT_H${ac_dC}1${ac_dD}
  819. ${ac_dA}RETSIGTYPE${ac_dB}RETSIGTYPE${ac_dC}void${ac_dD}
  820. ${ac_dA}HAVE_X11_XPM${ac_dB}HAVE_X11_XPM${ac_dC}1${ac_dD}
  821. ${ac_dA}DPMSExtension${ac_dB}DPMSExtension${ac_dC}1${ac_dD}
  822. CEOF
  823.   sed -f $tmp/defines.sed $tmp/in >$tmp/out
  824.   rm -f $tmp/in
  825.   mv $tmp/out $tmp/in
  826.   fi # grep
  827.   # Handle all the #undef templates
  828.   cat >$tmp/undefs.sed <<CEOF
  829. /^[  ]*#[  ]*undef/!b
  830. t clr
  831. : clr
  832. ${ac_uA}PACKAGE_NAME${ac_uB}PACKAGE_NAME${ac_uC}"downloadplug"${ac_uD}
  833. ${ac_uA}PACKAGE_TARNAME${ac_uB}PACKAGE_TARNAME${ac_uC}"downloadplug"${ac_uD}
  834. ${ac_uA}PACKAGE_VERSION${ac_uB}PACKAGE_VERSION${ac_uC}"1.00"${ac_uD}
  835. ${ac_uA}PACKAGE_STRING${ac_uB}PACKAGE_STRING${ac_uC}"downloadpl 1.00"${ac_uD}
  836. ${ac_uA}PACKAGE_BUGREPORT${ac_uB}PACKAGE_BUGREPORT${ac_uC}"downloadplug-in-devel@lists.sourceforge.net"${ac_uD}
  837. ${ac_uA}GTK2_ENABLED${ac_uB}GTK2_ENABLED${ac_uC}1${ac_uD}
  838. ${ac_uA}GTK24_ENABLED${ac_uB}GTK24_ENABLED${ac_uC}1${ac_uD}
  839. ${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
  840. ${ac_uA}HAVE_SYS_TYPES_H${ac_uB}HAVE_SYS_TYPES_H${ac_uC}1${ac_uD}
  841. ${ac_uA}HAVE_SYS_STAT_H${ac_uB}HAVE_SYS_STAT_H${ac_uC}1${ac_uD}
  842. ${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
  843. ${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
  844. ${ac_uA}HAVE_MEMORY_H${ac_uB}HAVE_MEMORY_H${ac_uC}1${ac_uD}
  845. ${ac_uA}HAVE_STRINGS_H${ac_uB}HAVE_STRINGS_H${ac_uC}1${ac_uD}
  846. ${ac_uA}HAVE_INTTYPES_H${ac_uB}HAVE_INTTYPES_H${ac_uC}1${ac_uD}
  847. ${ac_uA}HAVE_STDINT_H${ac_uB}HAVE_STDINT_H${ac_uC}1${ac_uD}
  848. ${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
  849. ${ac_uA}HAVE_STDDEF_H${ac_uB}HAVE_STDDEF_H${ac_uC}1${ac_uD}
  850. ${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
  851. ${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
  852. ${ac_uA}HAVE_X11_XLIB_H${ac_uB}HAVE_X11_XLIB_H${ac_uC}1${ac_uD}
  853. ${ac_uA}HAVE_X11_INTRINSIC_H${ac_uB}HAVE_X11_INTRINSIC_H${ac_uC}1${ac_uD}
  854. ${ac_uA}HAVE_X11_STRINGDEFS_H${ac_uB}HAVE_X11_STRINGDEFS_H${ac_uC}1${ac_uD}
  855. ${ac_uA}HAVE_SYS_STAT_H${ac_uB}HAVE_SYS_STAT_H${ac_uC}1${ac_uD}
  856. ${ac_uA}HAVE_FCNTL_H${ac_uB}HAVE_FCNTL_H${ac_uC}1${ac_uD}
  857. ${ac_uA}TIME_WITH_SYS_TIME${ac_uB}TIME_WITH_SYS_TIME${ac_uC}1${ac_uD}
  858. ${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
  859. ${ac_uA}HAVE_MALLOC${ac_uB}HAVE_MALLOC${ac_uC}1${ac_uD}
  860. ${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
  861. ${ac_uA}HAVE_FORK${ac_uB}HAVE_FORK${ac_uC}1${ac_uD}
  862. ${ac_uA}HAVE_VFORK${ac_uB}HAVE_VFORK${ac_uC}1${ac_uD}
  863. ${ac_uA}HAVE_WORKING_VFORK${ac_uB}HAVE_WORKING_VFORK${ac_uC}1${ac_uD}
  864. ${ac_uA}HAVE_WORKING_FORK${ac_uB}HAVE_WORKING_FORK${ac_uC}1${ac_uD}
  865. ${ac_uA}HAVE_MEMSET${ac_uB}HAVE_MEMSET${ac_uC}1${ac_uD}
  866. ${ac_uA}HAVE_STRCASECMP${ac_uB}HAVE_STRCASECMP${ac_uC}1${ac_uD}
  867. ${ac_uA}HAVE_STRCHR${ac_uB}HAVE_STRCHR${ac_uC}1${ac_uD}
  868. ${ac_uA}HAVE_STRDUP${ac_uB}HAVE_STRDUP${ac_uC}1${ac_uD}
  869. ${ac_uA}HAVE_STRNCASECMP${ac_uB}HAVE_STRNCASECMP${ac_uC}1${ac_uD}
  870. CEOF
  871.   sed -f $tmp/undefs.sed $tmp/in >$tmp/out
  872.   rm -f $tmp/in
  873.   mv $tmp/out $tmp/in
  874.   cat >$tmp/undefs.sed <<CEOF
  875. /^[  ]*#[  ]*undef/!b
  876. t clr
  877. : clr
  878. ${ac_uA}HAVE_STRSTR${ac_uB}HAVE_STRSTR${ac_uC}1${ac_uD}
  879. ${ac_uA}HAVE_STRRCHR${ac_uB}HAVE_STRRCHR${ac_uC}1${ac_uD}
  880. ${ac_uA}HAVE_SNPRINTF${ac_uB}HAVE_SNPRINTF${ac_uC}1${ac_uD}
  881. ${ac_uA}HAVE_MKFIFO${ac_uB}HAVE_MKFIFO${ac_uC}1${ac_uD}
  882. ${ac_uA}HAVE_DUP2${ac_uB}HAVE_DUP2${ac_uC}1${ac_uD}
  883. ${ac_uA}HAVE_GETTIMEOFDAY${ac_uB}HAVE_GETTIMEOFDAY${ac_uC}1${ac_uD}
  884. ${ac_uA}HAVE_STRERROR${ac_uB}HAVE_STRERROR${ac_uC}1${ac_uD}
  885. ${ac_uA}HAVE_STRTOL${ac_uB}HAVE_STRTOL${ac_uC}1${ac_uD}
  886. ${ac_uA}HAVE_MKDIR${ac_uB}HAVE_MKDIR${ac_uC}1${ac_uD}
  887. ${ac_uA}HAVE_SETLOCALE${ac_uB}HAVE_SETLOCALE${ac_uC}1${ac_uD}
  888. ${ac_uA}HAVE_MEMMEM${ac_uB}HAVE_MEMMEM${ac_uC}1${ac_uD}
  889. ${ac_uA}HAVE_LIBINTL_H${ac_uB}HAVE_LIBINTL_H${ac_uC}1${ac_uD}
  890. ${ac_uA}HAVE_GETTEXT${ac_uB}HAVE_GETTEXT${ac_uC}1${ac_uD}
  891. ${ac_uA}HAVE_SYS_TIME_H${ac_uB}HAVE_SYS_TIME_H${ac_uC}1${ac_uD}
  892. ${ac_uA}HAVE_SYS_PARAM_H${ac_uB}HAVE_SYS_PARAM_H${ac_uC}1${ac_uD}
  893. ${ac_uA}HAVE_LOCALE_H${ac_uB}HAVE_LOCALE_H${ac_uC}1${ac_uD}
  894. ${ac_uA}HAVE__BOOL${ac_uB}HAVE__BOOL${ac_uC}1${ac_uD}
  895. ${ac_uA}HAVE_STDBOOL_H${ac_uB}HAVE_STDBOOL_H${ac_uC}1${ac_uD}
  896. ${ac_uA}HAVE_SYS_WAIT_H${ac_uB}HAVE_SYS_WAIT_H${ac_uC}1${ac_uD}
  897. ${ac_uA}RETSIGTYPE${ac_uB}RETSIGTYPE${ac_uC}void${ac_uD}
  898. ${ac_uA}HAVE_X11_XPM${ac_uB}HAVE_X11_XPM${ac_uC}1${ac_uD}
  899. ${ac_uA}DPMSExtension${ac_uB}DPMSExtension${ac_uC}1${ac_uD}
  900. s,^[  ]*#[  ]*undef[  ][  ]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
  901. CEOF
  902.   sed -f $tmp/undefs.sed $tmp/in >$tmp/out
  903.   rm -f $tmp/in
  904.   mv $tmp/out $tmp/in
  905.   # Let's still pretend it is `configure' which instantiates (i.e., don't
  906.   # use $as_me), people would be surprised to read:
  907.   #    /* config.h.  Generated by config.status.  */
  908.   if test x"$ac_file" = x-; then
  909.     echo "/* Generated by configure.  */" >$tmp/config.h
  910.   else
  911.     echo "/* $ac_file.  Generated by configure.  */" >$tmp/config.h
  912.   fi
  913.   cat $tmp/in >>$tmp/config.h
  914.   rm -f $tmp/in
  915.   if test x"$ac_file" != x-; then
  916.     if diff $ac_file $tmp/config.h >/dev/null 2>&1; then
  917.       { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
  918. echo "$as_me: $ac_file is unchanged" >&6;}
  919.     else
  920.       ac_dir=`(dirname "$ac_file") 2>/dev/null ||
  921. $as_expr X"$ac_file" : 'X(.*[^/])//*[^/][^/]*/*$' | 
  922.  X"$ac_file" : 'X(//)[^/]' | 
  923.  X"$ac_file" : 'X(//)$' | 
  924.  X"$ac_file" : 'X(/)' | 
  925.  .     : '(.)' 2>/dev/null ||
  926. echo X"$ac_file" |
  927.     sed '/^X(.*[^/])//*[^/][^/]*/*$/{ s//1/; q; }
  928.      /^X(//)[^/].*/{ s//1/; q; }
  929.      /^X(//)$/{ s//1/; q; }
  930.      /^X(/).*/{ s//1/; q; }
  931.      s/.*/./; q'`
  932.       { if $as_mkdir_p; then
  933.     mkdir -p "$ac_dir"
  934.   else
  935.     as_dir="$ac_dir"
  936.     as_dirs=
  937.     while test ! -d "$as_dir"; do
  938.       as_dirs="$as_dir $as_dirs"
  939.       as_dir=`(dirname "$as_dir") 2>/dev/null ||
  940. $as_expr X"$as_dir" : 'X(.*[^/])//*[^/][^/]*/*$' | 
  941.  X"$as_dir" : 'X(//)[^/]' | 
  942.  X"$as_dir" : 'X(//)$' | 
  943.  X"$as_dir" : 'X(/)' | 
  944.  .     : '(.)' 2>/dev/null ||
  945. echo X"$as_dir" |
  946.     sed '/^X(.*[^/])//*[^/][^/]*/*$/{ s//1/; q; }
  947.      /^X(//)[^/].*/{ s//1/; q; }
  948.      /^X(//)$/{ s//1/; q; }
  949.      /^X(/).*/{ s//1/; q; }
  950.      s/.*/./; q'`
  951.     done
  952.     test ! -n "$as_dirs" || mkdir $as_dirs
  953.   fi || { { echo "$as_me:$LINENO: error: cannot create directory "$ac_dir"" >&5
  954. echo "$as_me: error: cannot create directory "$ac_dir"" >&2;}
  955.    { (exit 1); exit 1; }; }; }
  956.       rm -f $ac_file
  957.       mv $tmp/config.h $ac_file
  958.     fi
  959.   else
  960.     cat $tmp/config.h
  961.     rm -f $tmp/config.h
  962.   fi
  963. done
  964. { (exit 0); exit 0; }